RadSideDrawer error in NativeScript 3.0RC


#1

Updated a project to v3.0 rc and it fails on android, seem to be related to RadSideDrawer. Once I comment the line:

@ViewChild(RadSideDrawerComponent) public drawerComponent: RadSideDrawerComponent;

The project compiles and runs. Are there any changes I need to take for setting and importing in this release?

I use nativescript-telerik-ui 1.6.2

Thanks.


#2

The solution for now is to use:

tns plugin add nativescript-telerik-ui@rc

which installs 1.7.0-2017.4.4.1